﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirplaneWithRadar
{
    internal class DrawningAirplaneWithRadar : DrawningAirplane
    {
        public DrawningAirplaneWithRadar(int speed, float weight, Color bodyColor, Color dopColor, bool radar, bool ladder, bool window) :
            base(speed, weight, bodyColor, 50, 27)
        {
            Airplane = new EntityAirplaneWithRadar(speed, weight, bodyColor, dopColor, radar, ladder, window);
        }
        public override void DrawTransport(Graphics g)
        {
            if (Airplane is not EntityAirplaneWithRadar airplaneWithRadar)
            {
                return;
            }

            Pen pen = new(Color.Black, 2);
            Brush dopBrush = new SolidBrush(airplaneWithRadar.DopColor);

            base.DrawTransport(g);

            if (airplaneWithRadar.Radar)
            {
                g.DrawEllipse(new Pen(Color.Black), _startPosX + 18, _startPosY + 3, 9, 4);
                g.DrawRectangle(new Pen(Color.Black), _startPosX + 20, _startPosY + 6, 5, 4);
            }

            if (airplaneWithRadar.Window)
            {
                g.FillEllipse(dopBrush, _startPosX + 40, _startPosY + 13, 5, 5);
            }

            if (airplaneWithRadar.Ladder)
            {
                g.DrawLine(new Pen(Color.Black), _startPosX + 3, _startPosY + 18, _startPosX + 3, _startPosY + 12);
                g.DrawLine(new Pen(Color.Black), _startPosX + 7, _startPosY + 18, _startPosX + 7, _startPosY + 12);
                g.DrawLine(new Pen(Color.Black), _startPosX + 3, _startPosY + 16, _startPosX + 7, _startPosY + 16);
                g.DrawLine(new Pen(Color.Black), _startPosX + 3, _startPosY + 13, _startPosX + 7, _startPosY + 13);
            }
        }
    }
}
